"use client"
import React from 'react'
import TestimonialCard from '../universal/TestimonialCard'
import Carousel from 'react-multi-carousel';

const responsive = {
    superLargeDesktop: {
        breakpoint: { max: 4000, min: 3000 },
        items: 2,
        slidesToSlide: 3
    },

    desktop: {
        breakpoint: { max: 3000, min: 1024 },
        items: 2,
        slidesToSlide: 1
    },
    tablet: {
        breakpoint: { max: 1024, min: 464 },
        items: 2,
        slidesToSlide: 1
    },
    mobile: {
        breakpoint: { max: 464, min: 0 },
        items: 1,
        slidesToSlide: 1
    }
};

const Customers = () => {
    return (
        <div className='bg-[#1f0e27] py-8 mt-12'>
            <p className='text-center text-4xl font-semibold text-white'>Our Customers Loves us</p>

            <div className="flex lg:flex-row flex-col gap-16 justify-center items-center mt-8">

            <Carousel
                responsive={responsive}
                infinite={true}
                arrows={false}
                ssr={true} 
                showDots={true}
                itemClass='px-2'
                transitionDuration={1000}
                autoPlay={true}
                autoPlaySpeed={1000}
                className='mt-8 pb-8 lg:w-1/2 w-full' 
                
            >
                {[1, 2, 3, 4, 5].map(item => (
                    <TestimonialCard key={"testimonial" + item} />
                ))}
            </Carousel>

                <div className="relative">
                    <img src="/thumbnail.png" alt="" />
                    <div className='absolute top-1/3 w-full flex justify-center'>
                        <img src="/yt.png" alt="" />
                    </div>
                </div>
            </div>
        </div>
    )
}

export default Customers